net.i2p.router.tunnel

## Class OutboundMessageDistributor

- java.lang.Object
- - net.i2p.router.tunnel.OutboundMessageDistributor

-     class OutboundMessageDistributor
      extends Object

  When a message arrives at the outbound tunnel endpoint, this distributor honors the instructions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutboundMessageDistributor(RouterContext ctx, int priority)`
    `OutboundMessageDistributor(RouterContext ctx, int priority, SyntheticREDQueue bwe)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `distribute(I2NPMessage msg, Hash target)` Warning - as of 0.9.63, msg will be an UnknownI2NPMessage, and must be converted before handling locally.
    `void` | `distribute(I2NPMessage msg, Hash target, TunnelId tunnel)` Warning - as of 0.9.63, msg will be an UnknownI2NPMessage, and must be converted before handling locally.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutboundMessageDistributor

          public OutboundMessageDistributor(RouterContext ctx,
                                            int priority)

      Parameters:
        `priority` - OutNetMessage.PRIORITY_PARTICIPATING for somebody else's OBEP, or OutNetMessage.PRIORITY_MY_DATA for our own zero-hop OBGW/EP

    - #### OutboundMessageDistributor

          public OutboundMessageDistributor(RouterContext ctx,
                                            int priority,
                                            SyntheticREDQueue bwe)

      Parameters:
        `priority` - OutNetMessage.PRIORITY_PARTICIPATING for somebody else's OBEP, or OutNetMessage.PRIORITY_MY_DATA for our own zero-hop OBGW/EP
        `bwe` - null for none

  - ### Method Detail

    - #### distribute

          public void distribute(I2NPMessage msg,
                                 Hash target)

      Warning - as of 0.9.63, msg will be an UnknownI2NPMessage, and must be converted before handling locally.

    - #### distribute

          public void distribute(I2NPMessage msg,
                                 Hash target,
                                 TunnelId tunnel)

      Warning - as of 0.9.63, msg will be an UnknownI2NPMessage, and must be converted before handling locally.